unit ChxAffCell;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, Grids, ColorStringGrid;

type
  TFormChoixAffCell = class(TForm)
    Label8: TLabel;
    ColorStringGrid: TColorStringGrid;
    CouleurTexte: TLabel;
    Label11: TLabel;
    Panel15: TPanel;
    Label12: TLabel;
    StyleFond: TComboBox;
    ColorDialog: TColorDialog;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    CouleurContour: TShape;
    procedure CouleurTexteClick(Sender: TObject);
    procedure ColorStringGridClick(Sender: TObject);
    procedure StyleFondChange(Sender: TObject);
    procedure CouleurContourMouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    MisEnCoul:TAffichCoul;
    procedure initialise;
  end;

var
  FormChoixAffCell: TFormChoixAffCell;

implementation
uses Gestiontextes;
{$R *.dfm}

procedure TFormChoixAffCell.CouleurTexteClick(Sender: TObject);
begin
  ColorDialog.Color:=MisEnCoul.CouleurTexte;
  if ColorDialog.Execute then
    begin
      MisEnCoul.CouleurTexte:=ColorDialog.Color;
      initialise;
    end;
end;

procedure TFormChoixAffCell.ColorStringGridClick(Sender: TObject);
begin
  ColorDialog.Color:=MisEnCoul.CouleurFond;
  if ColorDialog.Execute then
    begin
      MisEnCoul.CouleurFond:=ColorDialog.Color;
      initialise;
    end;
end;
procedure TFormChoixAffCell.initialise;
begin
  ColorStringGrid.AffichCell[0,0]:=MisEnCoul;
  ColorStringGrid.Refresh;
  CouleurTexte.Font.Color:=MisEnCoul.CouleurTexte;
  CouleurTexte.Color:=MisEnCoul.CouleurFond;
  CouleurContour.Pen.Color:=MisEnCoul.CouleurContour;
  Case MisEnCoul.styleFond of
    bsSolid: Stylefond.ItemIndex:=0;
    bsBDiagonal: Stylefond.ItemIndex:=1;
    bsFDiagonal: Stylefond.ItemIndex:=2;
    bsHorizontal: Stylefond.ItemIndex:=3;
    bsVertical: Stylefond.ItemIndex:=4;
    bsCross: Stylefond.ItemIndex:=5;
    bsDiagCross: Stylefond.ItemIndex:=6;
  end;
end;
procedure TFormChoixAffCell.StyleFondChange(Sender: TObject);
Var
  nvStyle:TbrushStyle;
begin
  nvstyle:=bsSolid;
  Case StyleFond.ItemIndex of
    1:nvstyle:=bsBDiagonal;
    2:nvstyle:=bsFDiagonal;
    3:nvstyle:=bsHorizontal;
    4:nvstyle:=bsVertical;
    5:nvstyle:=bsCross;
    6:nvStyle:=bsDiagCross;
  end;
  MisEnCoul.StyleFond:=NvStyle;
  initialise;
end;

procedure TFormChoixAffCell.CouleurContourMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  ColorDialog.Color:=MisEnCoul.CouleurContour;
  if ColorDialog.Execute then
    begin
      MisEnCoul.CouleurContour:=ColorDialog.Color;
      initialise;
    end;
end;

procedure TFormChoixAffCell.FormCreate(Sender: TObject);
begin
  Caption:=C_FormChoixAffCell;
  Label8.Caption:=C_FormChoixAffCellLabel8;
  CouleurTexte.Hint:=H_FormChoixAffCellCouleurTexte_1+Chr(13)+Chr(10)+H_FormChoixAffCellCouleurTexte;
  CouleurTexte.Caption:=C_AffTabCodCouleurTexte;
  Label1.Caption:=C_FormChoixAffCellLabel1_1+Chr(13)+Chr(10)+C_FormChoixAffCellLabel1;
  ColorStringGrid.Hint:=H_FormChoixAffCellCouleurTexte_1+Chr(13)+Chr(10)+H_FormChoisirColorStringGrid+Chr(13)+Chr(10)+H_FormChoixAffCellColorStringGrid;
  Label12.Caption:=C_AffTabCodLabel3;
  StyleFond.Text:=C_AffTabCodStyleFond;
end;

end.
